org.modeshape.web.jcr.rest.client.json

## Class WorkspaceNode

- java.lang.Object
- - org.codehaus.jettison.json.JSONObject
  - - org.modeshape.web.jcr.rest.client.json.JsonNode
    - - org.modeshape.web.jcr.rest.client.json.WorkspaceNode

- All Implemented Interfaces:
    Serializable

      public class WorkspaceNode
      extends JsonNode

  The `WorkspaceNode` class is responsible for knowing how to create a URL for a `workspace`. The URL can be used to publish and unpublish resources.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.jettison.json.JSONObject

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkspaceNode(Workspace workspace)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `getQueryPlanUrl()`
    `URL` | `getQueryUrl()`
    `URL` | `getUrl()`

    - ### Methods inherited from class org.modeshape.web.jcr.rest.client.json.JsonNode

      `children, getContent, getId, properties, toString, withChild, withMixin, withPrimaryType, withProperty`

    - ### Methods inherited from class org.codehaus.jettison.json.JSONObject

      `accumulate, append, doubleToString, get, getBoolean, getDouble, getInt, getJSONArray, getJSONObject, getLong, getString, has, isNull, keys, length, names, numberToString, opt, optBoolean, optBoolean, optDouble, optDouble, optInt, optInt, optJSONArray, optJSONObject, optLong, optLong, optString, optString, put, put, put, put, put, put, put, putOpt, quote, remove, toJSONArray, toString, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkspaceNode

          public WorkspaceNode(Workspace workspace)

      Parameters:
        `workspace` - the repository workspace (never `null`)

  - ### Method Detail

    - #### getUrl

          public URL getUrl()
                     throws Exception

      Specified by:
        `getUrl` in class `JsonNode`
      Returns:
        an HTTP URL representing this node
      Throws:
        `Exception` - if there is a problem constructing the URL
      See Also:
        `JsonNode.getUrl()`

    - #### getQueryUrl

          public URL getQueryUrl()
                          throws Exception

      Throws:
        `Exception`

    - #### getQueryPlanUrl

          public URL getQueryPlanUrl()
                              throws Exception

      Throws:
        `Exception`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.